Не запускается Docker 1.7.1 на Ubuntu 15.04

Обновил Docker до 1.7.1 — Docker перестал запускаться. Оказалось, что при его запуске возникает ошибка

INFO[0000] Listening for HTTP on unix (/var/run/docker.sock)
ERRO[0000] [graphdriver] prior storage driver "aufs" failed: driver not supported
FATA[0000] Error starting daemon: error initializing graphdriver: driver not supported

Для решения данной проблемы открываем файл /lib/systemd/system/docker.service и заменяем строку

ExecStart=/usr/bin/docker daemon -H fd://

на

ExecStart=/usr/bin/docker daemon -H fd:// --storage-driver=overlay

после чего Docker успешно запускается командами

sudo systemctl daemon-reload
sudo systemctl start docker.service

К сожалению, использование Overlay FS — не самый лучший выход для тех, у кого уже было создано немалое количество контейнеров, так как их придётся создавать заново. В случае если у вас уже создано немалое количество контейнеров, вместо перехода на Overlay FS возможно Вам стоит рассмотреть возможность понижения версии Docker.

Автор: Андрей Гуцу

Системный администратор. Интересуюсь Linux, web-технологиями и Open Source. Люблю фантастику, игры жанров RTS и FPS.